ghc-7.0.3: The GHC API

PIC

# Documentation

cmmMakeDynamicReference :: Monad m => DynFlags -> (CLabel -> m ()) -> ReferenceKind -> CLabel -> m CmmExpr

data ReferenceKind

Constructors

DataReference |
CallReference |
JumpReference |

Instances

Eq ReferenceKind |

needImportedSymbols :: Arch -> OS -> Bool

pprImportedSymbol :: Arch -> OS -> CLabel -> Doc

pprGotDeclaration :: Arch -> OS -> Doc

initializePicBase_ppc :: Arch -> OS -> Reg -> [NatCmmTop Instr] -> NatM [NatCmmTop Instr]

initializePicBase_x86 :: Arch -> OS -> Reg -> [NatCmmTop Instr] -> NatM [NatCmmTop Instr]